## lighttpd 1.4.19

=== SConstruct ===
import os
import sys
import re
import string
from stat import *

package = 'lighttpd'
version = '1.4.19'

def checkCHeaders(autoconf, hdrs):
	p = re.compile('[^A-Z0-9]')
	for hdr in hdrs:
		if not hdr:
			continue
		_hdr = Split(hdr)
 		if autoconf.CheckCHeader(_hdr):
 			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', _hdr[-1].upper()) ])

def checkFuncs(autoconf, funcs):
	p = re.compile('[^A-Z0-9]')
	for func in funcs:
		if autoconf.CheckFunc(func):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', func.upper()) ])

def checkTypes(autoconf, types):
	p = re.compile('[^A-Z0-9]')
	for type in types:
		if autoconf.CheckType(type, '#include <sys/types.h>'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', type.upper()) ])

def checkProgram(env, withname, progname):
	withname = 'with_' + withname
	binpath = None

	if env[withname] != 1:
		binpath = env[withname]
	else:
		prog = env.Detect(progname)
		if prog:
			binpath = env.WhereIs(prog)

	if binpath:
		mode = os.stat(binpath)[ST_MODE]
		if S_ISDIR(mode):
			print >> sys.stderr, "* error: path `%s' is a directory" % (binpath)
			env.Exit(-1)
		if not S_ISREG(mode):
			print >> sys.stderr, "* error: path `%s' is not a file or not exists" % (binpath)
			env.Exit(-1)

	if not binpath:
		print >> sys.stderr, "* error: can't find program `%s'" % (progname)
		env.Exit(-1)

	return binpath

def checkStructMember(context):
	struct_member = """
#include <time.h>
int main() {
	struct tm a;
	a.tm_gmtoff = 0;
	return 0;
}
"""
	context.Message('Checking for tm_gmtoff in struct tm...')
	result = context.TryLink(struct_member, '.c')
	context.Result(result)

	return result


BuildDir('build', 'src', duplicate = 0)

opts = Options('config.py')
opts.AddOptions(
	('prefix', 'prefix', '/usr/local'),
	('bindir', 'binary directory', '${prefix}/bin'),
	('sbindir', 'binary directory', '${prefix}/sbin'),
	('libdir', 'library directory', '${prefix}/lib'),
	PackageOption('with_mysql', 'enable mysql support', 'no'),
	PackageOption('with_xml', 'enable xml support', 'no'),
	PackageOption('with_pcre', 'enable pcre support', 'yes'),
	PathOption('CC', 'path to the c-compiler', None),
	BoolOption('build_dynamic', 'enable dynamic build', 'yes'),
	BoolOption('build_static', 'enable static build', 'no'),
	BoolOption('build_fullstatic', 'enable fullstatic build', 'no'),
	BoolOption('with_sqlite3', 'enable sqlite3 support', 'no'),
	BoolOption('with_memcache', 'enable memcache support', 'no'),
	BoolOption('with_fam', 'enable FAM/gamin support', 'no'),
	BoolOption('with_openssl', 'enable memcache support', 'no'),
	BoolOption('with_gzip', 'enable gzip compression', 'no'),
	BoolOption('with_bzip2', 'enable bzip2 compression', 'no'),
	BoolOption('with_lua', 'enable lua support for mod_cml', 'no'),
	BoolOption('with_ldap', 'enable ldap auth support', 'no'))

env = Environment(
	env = os.environ,
	options = opts,
	CPPPATH = Split('#build')
)

env.Help(opts.GenerateHelpText(env))

if env.subst('${CC}') is not '':
	env['CC'] = env.subst('${CC}')

env['package'] = package
env['version'] = version
if env['CC'] == 'gcc':
	## we need x-open 6 and bsd 4.3 features
	env.Append(CCFLAGS = Split('-Wall -O2 -g -W -pedantic -Wunused -Wshadow -std=gnu99'))

# cache configure checks
if 1:
	autoconf = Configure(env, custom_tests = {'CheckStructMember': checkStructMember })
	autoconf.headerfile = "foo.h"
	checkCHeaders(autoconf, string.split("""
			arpa/inet.h
			fcntl.h
			netinet/in.h
			sys/types.h netinet/in.h
			stdlib.h
			string.h
			sys/socket.h
			sys/types.h sys/socket.h
		 	sys/time.h
			unistd.h
			sys/sendfile.h
			sys/uio.h
			sys/types.h sys/uio.h
			getopt.h
			sys/epoll.h
			sys/select.h
			sys/types.h sys/select.h
			poll.h
			sys/poll.h
			sys/devpoll.h
			sys/filio.h
			sys/mman.h
			sys/types.h sys/mman.h
			sys/event.h
			sys/types.h sys/event.h
			sys/port.h
			winsock2.h
			pwd.h
			sys/syslimits.h
			sys/resource.h
			sys/time.h sys/types.h sys/resource.h
			sys/un.h
			sys/types.h sys/un.h
			syslog.h
			stdint.h
			inttypes.h
			sys/prctl.h
			sys/wait.h""", "\n"))

	checkFuncs(autoconf, Split('fork stat lstat strftime dup2 getcwd inet_ntoa inet_ntop memset mmap munmap strchr \
			strdup strerror strstr strtol sendfile  getopt socket \
			gethostbyname poll sigtimedwait epoll_ctl getrlimit chroot \
			getuid select signal pathconf madvise prctl\
			writev sigaction sendfile64 send_file kqueue port_create localtime_r posix_fadvise'))

	checkTypes(autoconf, Split('pid_t size_t off_t'))

	autoconf.env.Append( LIBSQLITE3 = '', LIBXML2 = '', LIBMYSQL = '', LIBZ = '',
		LIBBZ2 = '', LIBCRYPT = '', LIBMEMCACHE = '', LIBFCGI = '', LIBPCRE = '',
		LIBLDAP = '', LIBLBER = '', LIBLUA = '', LIBLUALIB = '', LIBDL = '')

	if env['with_fam']:
		if autoconf.CheckLibWithHeader('fam', 'fam.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_FAM_H', '-DHAVE_LIBFAM' ], LIBS = 'fam')
			checkFuncs(autoconf, ['FAMNoExists']);


	if autoconf.CheckLibWithHeader('crypt', 'crypt.h', 'C'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_CRYPT_H', '-DHAVE_LIBCRYPT' ], LIBCRYPT = 'crypt')

	if autoconf.CheckLibWithHeader('uuid', 'uuid/uuid.h', 'C'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_UUID_UUID_H', '-DHAVE_LIBUUID' ], LIBUUID = 'uuid')

	if env['with_openssl']:
		if autoconf.CheckLibWithHeader('ssl', 'openssl/ssl.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_OPENSSL_SSL_H', '-DHAVE_LIBSSL'] , LIBS = [ 'ssl', 'crypto' ])

	if env['with_gzip']:
		if autoconf.CheckLibWithHeader('z', 'zlib.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_ZLIB_H', '-DHAVE_LIBZ' ], LIBZ = 'z')

	if env['with_ldap']:
		if autoconf.CheckLibWithHeader('ldap', 'ldap.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LDAP_H', '-DHAVE_LIBLDAP' ], LIBLDAP = 'ldap')
		if autoconf.CheckLibWithHeader('lber', 'lber.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LBER_H', '-DHAVE_LIBLBER' ], LIBLBER = 'lber')

	if env['with_bzip2']:
		if autoconf.CheckLibWithHeader('bz2', 'bzlib.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_BZLIB_H', '-DHAVE_LIBBZ2' ], LIBBZ2 = 'bz2')

	if env['with_memcache']:
		if autoconf.CheckLibWithHeader('memcache', 'memcache.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_MEMCACHE_H', '-DHAVE_LIBMEMCACHE' ], LIBMEMCACHE = 'memcache')

	if env['with_sqlite3']:
		if autoconf.CheckLibWithHeader('sqlite3', 'sqlite3.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_SQLITE3_H', '-DHAVE_LIBSQLITE3' ], LIBSQLITE3 = 'sqlite3')

	ol = env['LIBS']
	if autoconf.CheckLibWithHeader('fcgi', 'fastcgi.h', 'C'):
		autoconf.env.Append(LIBFCGI = 'fcgi')
	env['LIBS'] = ol

	ol = env['LIBS']
	if autoconf.CheckLibWithHeader('dl', 'dlfcn.h', 'C'):
		autoconf.env.Append(LIBDL = 'dl')
	env['LIBS'] = ol

	if autoconf.CheckType('socklen_t', '#include <unistd.h>\n#include <sys/socket.h>\n#include <sys/types.h>'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_SOCKLEN_T' ])

	if autoconf.CheckType('struct sockaddr_storage', '#include <sys/socket.h>\n'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_STRUCT_SOCKADDR_STORAGE' ])

	if autoconf.CheckStructMember():
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_STRUCT_TM_GMTOFF' ])

	env = autoconf.Finish()

	if env['with_lua']:
		oldlibs = env['LIBS']
		env.ParseConfig("pkg-config 'lua >= 5.0' --cflags --libs")
		lualibs = env['LIBS'][len(oldlibs):]
		env.Append(LIBLUA = lualibs)
		env.Append(CPPFLAGS = [ '-DHAVE_LUA_H' ])
		env['LIBS'] = oldlibs


if env['with_pcre']:
	pcre_config = checkProgram(env, 'pcre', 'pcre-config')
	env.ParseConfig(pcre_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_PCRE_H', '-DHAVE_LIBPCRE' ], LIBPCRE = 'pcre')

if env['with_xml']:
	xml2_config = checkProgram(env, 'xml', 'xml2-config')
	oldlib = env['LIBS']
	env['LIBS'] = []
	env.ParseConfig(xml2_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_LIBXML_H', '-DHAVE_LIBXML2' ], LIBXML2 = env['LIBS'])
	env['LIBS'] = oldlib

if env['with_mysql']:
	mysql_config = checkProgram(env, 'mysql', 'mysql_config')
	oldlib = env['LIBS']
	env['LIBS'] = []
	env.ParseConfig(mysql_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_MYSQL_H', '-DHAVE_LIBMYSQL' ], LIBMYSQL = 'mysqlclient')
	env['LIBS'] = oldlib

if re.compile("cygwin|mingw").search(env['PLATFORM']):
	env.Append(COMMON_LIB = 'bin')
elif re.compile("darwin|aix").search(env['PLATFORM']):
	env.Append(COMMON_LIB = 'lib')
else:
	env.Append(COMMON_LIB = False)

versions = string.split(version, '.')
version_id = int(versions[0]) << 16 | int(versions[1]) << 8 | int(versions[2])
env.Append(CPPFLAGS = [
		'-DLIGHTTPD_VERSION_ID=' + str(version_id),
		'-DPACKAGE_NAME=\\"' + package + '\\"',
		'-DPACKAGE_VERSION=\\"' + version + '\\"',
		'-DLIBRARY_DIR="\\"${libdir}\\""',
		'-D_FILE_OFFSET_BITS=64', '-D_LARGEFILE_SOURCE', '-D_LARGE_FILES'
		] )

SConscript( 'src/SConscript', 'env', build_dir = 'build', duplicate = 0)
SConscript( 'tests/SConscript', 'env' )

## lighttpd 1.4.22

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.19'
+version = '1.4.22'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')

## lighttpd 1.4.25-1

=== debian/changelog ===
lighttpd (1.4.25-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <rob@naturalexplorations.ca>  Wed, 25 Nov 2009 14:28:31 +0000

=== debian/control ===
Source: lighttpd
Section: user/network
Priority: optional
Maintainer: Rob Williams <rob@naturalexplorations.ca>
Build-Depends: debhelper (>= 5), autotools-dev, zlib1g-dev, libbz2-dev
Standards-Version: 3.7.2

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LigHTTPd mini web server
 LigHTTPD mini web server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --without-pcre --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr 
--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/lighttpd.sgml > lighttpd.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/lighttpd.
	$(MAKE) DESTDIR=$(CURDIR)/debian/lighttpd install
	mkdir -p $(CURDIR)/debian/lighttpd/etc
	mkdir -p $(CURDIR)/debian/lighttpd/wwwPHP
	cp $(CURDIR)/confFiles/lighttpd.conf $(CURDIR)/debian/lighttpd/etc/lighttpd.conf
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lighttpd 1.4.25-2

=== debian/changelog ===
lighttpd (1.4.25-2) unstable; urgency=low

  * Optified and included PCRE support

 -- Rob Williams <rob@naturalexplorations.ca>  Wed, 9 Jan 2010 14:28:31 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: optional
 Maintainer: Rob Williams <rob@naturalexplorations.ca>
-Build-Depends: debhelper (>= 5), autotools-dev, zlib1g-dev, libbz2-dev
+Build-Depends: debhelper (>= 5), autotools-dev, zlib1g-dev, libbz2-dev, libpcre3-dev
 Standards-Version: 3.7.2
 
 Package: lighttpd

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --without-pcre --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr 
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr 
 --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 
@@ -104,6 +104,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## lighttpd 1.4.25-3

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.22'
+version = '1.4.25'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')
@@ -159,7 +159,7 @@
 			strdup strerror strstr strtol sendfile  getopt socket \
 			gethostbyname poll sigtimedwait epoll_ctl getrlimit chroot \
 			getuid select signal pathconf madvise prctl\
-			writev sigaction sendfile64 send_file kqueue port_create localtime_r posix_fadvise'))
+			writev sigaction sendfile64 send_file kqueue port_create localtime_r posix_fadvise issetugid inet_pton'))
 
 	checkTypes(autoconf, Split('pid_t size_t off_t'))

=== debian/changelog ===
lighttpd (1.4.25-3) unstable; urgency=low

  * Added Upstart script and XB-Maemo-Display-Name

 -- Rob Williams <rob@naturalexplorations.ca>  Wed, 10 Feb 2010 14:28:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
 Package: lighttpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+XB-Maemo-Display-Name: LigHTTPd Mini Web Server
 Description: LigHTTPd mini web server
  LigHTTPD mini web server

=== debian/rules ===
--- 
+++ 
@@ -68,9 +68,12 @@
 	# Add here commands to install the package into debian/lighttpd.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/lighttpd install
 	mkdir -p $(CURDIR)/debian/lighttpd/etc
+
 	mkdir -p $(CURDIR)/debian/lighttpd/wwwPHP
 	cp $(CURDIR)/confFiles/lighttpd.conf $(CURDIR)/debian/lighttpd/etc/lighttpd.conf
-	
+# For Fremantle Only!
+#	mkdir -p $(CURDIR)/debian/lighttpd/etc/event.d
+#	cp $(CURDIR)/debian/upstart $(CURDIR)/debian/lighttpd/etc/event.d/lighttpd	
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -104,7 +107,8 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+# Fremantle only!
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb

## lighttpd 1.4.26

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.25'
+version = '1.4.26'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')

=== debian/changelog ===
lighttpd (1.4.26-3ubuntu2) maverick; urgency=low

  * syntax_check function defined in init script. (LP: #600767)

 -- David Sugar <david.sugar@canonical.com>  Thu, 15 Jul 2010 17:50:35 +0000

lighttpd (1.4.26-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #599010), remaining changes:
    - debian/control: 
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file. 
    - debian/lighttpd.init: clean environment; Check syntax during start/reload
      restart/force-reload.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 27 Jun 2010 13:13:01 +0200

lighttpd (1.4.26-3) unstable; urgency=low

  * Ack for NMU, fix for SSL incompatibility (closes: #572031)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 03 Jun 2010 21:22:24 +0200

lighttpd (1.4.26-2) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
   + removed Franz Pletz from Uploaders, he's MIA (closes: #579366)
   + change dependency from libmysqlclient15-dev to more general 
     libmysqlclient-dev

  [ Olaf van der Spek ]
  * take conf dir as an optional parameter (closes: 489854)
  * don't try to make /var/run/lighttpd when invoked with status 
    (closes: 538662)
  * split FastCGI PHP conf from FastCGI conf (closes: 515699)
  * reduce max-procs from 2 to 1 (closes: 456200)
  * move debian doc handling into it's own file
  * set default vhost dir to /srv/<host>/htdocs (closes: 471054)
  * use delaycompress instead of copytruncate for logrotate (closes: 563626)
  * don't wait for old process to stop before starting new one for reload 
    (closes: 504315)
  * use reopen-logs for logrotate (closes: 504319)
  * add no-www.conf (for use with evhost and simple-vhost, closes: 471055)
  * move evhost conf into it's own file


 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 01 Jun 2010 17:08:42 +0200

lighttpd (1.4.26-1.1ubuntu3) lucid; urgency=low

  * debian/control: Rebuild for libmysqlclient transition. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Apr 2010 06:12:07 -0400

lighttpd (1.4.26-1.1ubuntu2) lucid; urgency=low

  * debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes 
    failure to bind port in ipv4 (LP: #551211)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 03 Apr 2010 15:37:37 -0400

lighttpd (1.4.26-1.1ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #407722).  Remaining changes:
    - debian/control: libgamin-dev rather than libfam-dev to fix startup 
      warning.
    - debian/init.d: clean environment; Check syntax during start/reload
      restart/force-reload.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set: 
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on 
        automake, libtool
      + debian/lighttpd-dev.install: Added.
  * debian/control: debhelper Build-depends bumped to (>= 7.0.50) for 
    overrides in rules file.
  * debian/rules: 
    - Add override_dh_installinit to set "defaults 91 09" to not start 
      before apache2 but in the same runlevel with the same priority.
  * debian/patches/build-dev-package.patch: Updated
  * Also closes: (LP: #521659, LP: #523682)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 27 Mar 2010 15:53:32 -0400

lighttpd (1.4.26-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream patch to fix openssl (closes: #572031)

 -- John Ham <buraphalinuxserver@gmail.com>  Mon, 15 Mar 2010 13:31:52 +0700

lighttpd (1.4.26-1) unstable; urgency=low

  * New upstream release (closes: #568735)
  * Use provided patch from  Andres Rodriguez <andreserl@ubuntu.com>
    to implement status action in init.d script (closes: #539955)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 09 Feb 2010 18:02:13 +0100

lighttpd (1.4.24-1) unstable; urgency=low

  * New upstream release (closes: #530892) (closes: #538135) (closes: #482601)
    (closes: #541428)
  * debian/control:
   + Standards-Version: 3.8.3
  * debian/init.d renamed to debian/lighttpd.init
  * Added $syslog to LSB header in init script (closes: #545576)
    (Jeremy Lal <kapouer@melix.org>)
  * debian/init.d: force-reload moved to reload section (closes: #538661)
    (Peter Eisentraut <petere@debian.org>)
  
 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 30 Oct 2009 17:37:29 +0100

lighttpd (1.4.23-3) unstable; urgency=low

  * debian/rules: make sure that scripts have proper rights
   (closes: #536668), (closes: #536681), (closes: #536688) (closes: #536668)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Mon, 13 Jul 2009 11:17:09 +0200

lighttpd (1.4.23-2) unstable; urgency=low

  * Add lighttpd.docs with README & NEWS file
  * New upstream closes wishlist bugs (closes: #535065) (closes: #515777)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 10 Jul 2009 11:11:15 +0200

lighttpd (1.4.23-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 Torsten Marek <shlomme@debian.org>,
 Pierre Habouzit <madcoder@debian.org>
Homepage: http://www.lighttpd.net
Build-Depends: debhelper (>= 7.0.50), mime-support, libssl-dev,
 zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
 libgamin-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
 liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
 libxml2-dev, libkrb5-dev, perl, automake, libtool
XS-Vcs-Svn: svn://svn.debian.org/pkg-lighttpd/lighttpd/trunk
Standards-Version: 3.8.4

Package: lighttpd
Homepage: http://www.lighttpd.net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), mime-support, libterm-readline-perl-perl
Provides: httpd, httpd-cgi
Suggests: openssl, rrdtool, apache2-utils, ufw
Recommends: spawn-fcgi
Conflicts: cherokee (<= 0.6.1-1)
Description:  A fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, ldap)
   * transparent content compression
   * conditional configuration
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Homepage: http://www.lighttpd.net
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: lighttpd
Description: Documentation for lighttpd
 This package contains all documentation files for lighttpd.

Package: lighttpd-mod-mysql-vhost
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the myqsl_vhost module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-trigger-b4-dl
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: lighttpd (<< 1.4.10-5)
Recommends: memcached
Description: Anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-cml
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: memcached
Description: Cache meta language module for lighttpd
 With the cache meta language, it is possible to describe to the
 dependencies of a cached file to its source files/scripts. For the 
 cache files, the scripting language LUA is used.
 .
 THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 1.5.
 USE mod_magnet INSTEAD.

Package: lighttpd-mod-magnet
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Control the request handling module for lighttpd
 mod_magnet can attract a request in several stages in the request-handling.
 either at the same level as mod_rewrite, before any parsing of the URL is done
 or at a later stage, when the doc-root is known and the physical-path is 
 already setup

Package: lighttpd-mod-webdav
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: WebDAV module for lighttpd
 The WebDAV module is a very minimalistic implementation of RFC 2518. 
 Minimalistic means that not all operations are implemented yet.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  OPTIONS
  MKCOL
  DELETE
  PUT

Package: lighttpd-dev
Architecture: any
Suggests: lighttpd
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for lighttpd
 This package contains the development header-files for lighttpd.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh build --before auto_configure
	./configure --build=i486-linux-gnu --prefix=/usr \
		--includedir="/usr/include" \
		--mandir="/usr/share/man" \
		--infodir="/usr/share/info" --sysconfdir=/etc \
		--localstatedir=/var --libexecdir="/usr/lib/lighttpd" \
		--disable-maintainer-mode --disable-dependency-tracking \
		--srcdir=.   --libdir=/usr/lib/lighttpd --with-openssl \
		--with-kerberos5 --with-pcre --with-fam --with-ldap \
		--with-mysql --with-memcache --with-lua=lua5.1 --with-gdbm \
		--with-attr --with-webdav-locks --with-webdav-props
	dh build --after auto_configure
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh --before dh_auto_install install
	dh_auto_install
	chmod a+x debian/create-mime.assign.pl
	chmod a+x debian/include-conf-enabled.pl
	chmod a+x debian/lighty-enable-mod
	chmod a+x debian/use-ipv6.pl
	dh --after dh_auto_install install
	touch $@
	install -m644 debian/lighttpd.ufw.profile debian/lighttpd/etc/ufw/applications.d/lighttpd

binary-arch: install
	dh $@

binary: binary-arch binary-indep

override_dh_installinit:
	dh_installinit --error-handler=true -- defaults 91 09

%:
	dh $@

## lighttpd 1.4.26-1

=== debian/changelog ===
lighttpd (1.4.25-5) unstable; urgency=low

  * fixed init.d optification problem file for Maemo4

 -- Rob Williams <rob@naturalexplorations.ca>  Thur, 11 Feb 2010 14:48:31 +0000

lighttpd (1.4.25-4) unstable; urgency=low

  * Optified and fixed init.d file for Maemo4

 -- Rob Williams <rob@naturalexplorations.ca>  Thur, 11 Feb 2010 14:28:31 +0000

=== debian/control ===
Source: lighttpd
Section: user/network
Priority: optional
Maintainer: Rob Williams <rob@naturalexplorations.ca>
Build-Depends: debhelper (>= 5), maemo-optify, autotools-dev, zlib1g-dev, libbz2-dev, libpcre3-dev
Standards-Version: 3.7.2

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: LigHTTPd Mini Web Server
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAK8AAACvABQqw0mAAAACV0RVh0U29mdHdhcmUATWFj
 cm9tZWRpYSBGaXJld29ya3MgTVggMjAwNId2rM8AAAQmSURBVHictZZraJZl
 GICv+z3s20GdrbkDbUMZTtNIcmMMMa1Ms8OfnD+UJCu1QZRiNDexaTrRr6Qw
 KGHgD5eCgR2woT+CklEGZp/UpKlrzrmtuY00p/Pbvu893P343vCAujXthvfl
 fZ73fp7rfu4Tj6gq91Oa2y88bprW0Sn5E/wb5437BWhq7SyNnG5vEGECin/r
 f7nXE/UPxWefau2o8jz/hQfSx34/bWLuvNvpWaMFdF+88kTccataz/+5UEQo
 eCg7Oi4t5aU76f9nUEtX37yU5NC6y/0DC5pb25mQMZ5J+bl4nleZPX5Mz53W
 jdh1Zzp7F5imWW1b5pNnO7ppaevksWmTycnKIBZ3jhXlZZXdbf2wJ/qjq+9Z
 hapQkj037rg0Hvudgeggc0sfJTU1mVjc8YFVw+1zW1BLZ6+ByFLgTUOkLCnJ
 prvnL3443kR2ZgYL55SggOO4ADuK8rJOjgoUyHQRKUPg+K+nOHnmHMWPFDFj
 WiGO4+InXH5O1d80HASGidHpjp7nG4/9dvBy/4BZNnM6k/JziMXiXF+hTxfl
 ZX83EtBdC3ZqQc6htq7eEw9mZ1JYkMvQTRD2jxQyLAig79rggU8OHtmovj9H
 4NtgOgq8NVIIjKIztHT2zUewi/KyDv+voNGKzHx9y2KgOVJX01xcUTsHOOeq
 322JUQmcj9TV7C+uqH1KVX8RkYmg6SAPxxw3NiU3M3325ILBmOsCtABZQIpn
 sNf0KQFKUY5UrypvtgQOKLwHbAZqUD61xHgDKASWFldsOSvIBmANUAFyFUiz
 TGOJqn7kqf9iANgAbAN6TZ+pQB6QifBqePeXGw2gHxgCELgC2AKzUCojdTUz
 FJoAH3Ak8TQr+qFtGpGvtq3e7rje58AhrLSDwFlU1wClgKGqm4FvgL03ZZ2C
 AiEFD9HskoraBYKRpjAkIruBRUAUJN1XbABDJA1IUTdqAYWI7CKRnS4wDugE
 MoxbUkGClxd8bwVdBgwo+m6wwRi5XbAT+jawtXpl+QfA+Ov2J+rIBK4FygYQ
 VTBB2hT2ATEBS5QLClcBU28hBGIDfdUryxuCsSmJepsKdFlBjF4pqagVTfS+
 OPAFcFhgrKLPKbJIBDtwqxlYHwJQxQJsFRAl9QYT4ojsBGJAuQE6H6gCIqBv
 I/pTpK5mF4ksXBap29gGrPGVNuB94GvQFs/XFQCGIXuA7etXLLomhiz+l2Ja
 xloxZG0oZD5TvbL853sq2Mpw/cvxmNvw8aYVf68Lf5bnuN4YyzJ6ULIc13Nj
 Q25/KNnSnTWvXRr1neGdcH2GQH5SyFpYGa4/JUjUtswlijYilNi22WHbZg7Q
 AFwa/XVLGUBpJJE8SSB9QDuQCgyiHCVRg6nrwnvS77nXVYbrZ6Gc2bF++cVg
 vBo4saN6+Y/ByVMMNP4PB/StvwxpI2kAAAAASUVORK5CYII=
XSBX-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1349&atid=4992
Description: LigHTTPd is a compact lightweight
 web server. It comes preconfigured with PHP-CGI
 support, but to make PHP work you must also install
 the PHP-CGI package. The webserver is a background daemon
 set to start on bootup and serve pages out of the /wwwPHP folder.
 You can change the configuration by looking at /etc/lighttpd.conf.
 For more information on LigHTTPD, checkout the homepage:
 http://www.lighttpd.net

## lighttpd 1.4.26-2

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Maemo-Display-Name: LigHTTPd Mini Web Server
+XSBC-Maemo-Display-Name: LigHTTPd Mini Web Server
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAK8AAACvABQqw0mAAAACV0RVh0U29mdHdhcmUATWFj
  cm9tZWRpYSBGaXJld29ya3MgTVggMjAwNId2rM8AAAQmSURBVHictZZraJZl
@@ -36,7 +37,7 @@
  Q25/KNnSnTWvXRr1neGdcH2GQH5SyFpYGa4/JUjUtswlijYilNi22WHbZg7Q
  AFwa/XVLGUBpJJE8SSB9QDuQCgyiHCVRg6nrwnvS77nXVYbrZ6Gc2bF++cVg
  vBo4saN6+Y/ByVMMNP4PB/StvwxpI2kAAAAASUVORK5CYII=
-XSBX-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1349&atid=4992
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1349&atid=4992
 Description: LigHTTPd is a compact lightweight
  web server. It comes preconfigured with PHP-CGI
  support, but to make PHP work you must also install

## lighttpd 1.4.28

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.26'
+version = '1.4.28'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')
@@ -157,7 +157,7 @@
 
 	checkFuncs(autoconf, Split('fork stat lstat strftime dup2 getcwd inet_ntoa inet_ntop memset mmap munmap strchr \
 			strdup strerror strstr strtol sendfile  getopt socket \
-			gethostbyname poll sigtimedwait epoll_ctl getrlimit chroot \
+			gethostbyname poll epoll_ctl getrlimit chroot \
 			getuid select signal pathconf madvise prctl\
 			writev sigaction sendfile64 send_file kqueue port_create localtime_r posix_fadvise issetugid inet_pton'))

=== debian/changelog ===
lighttpd (1.4.28-2ubuntu2) oneiric; urgency=low

  * No-change rebuild for openssl0.9.8 -> openssl1.0.0 transition.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 21 Aug 2011 00:26:14 +0400

lighttpd (1.4.28-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control:
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 Nov 2010 12:09:27 +0530

lighttpd (1.4.28-2) unstable; urgency=medium

  [ Olaf van der Spek ]
  * Use relative instead of absolute links for conf-enabled (closes: #541645)
  * Fix /doc/ for IPv6 (closes: #512583)
  
  [ Krzysztof Krzyżaniak (eloy) ]
  * Added patch patches/silence-errors.diff (closes: #601177)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 12 Nov 2010 12:08:48 +0100

lighttpd (1.4.28-1ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: 
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file. 
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)
  * debian/patches/build-dev-package.patch: updated
  * Dropped changes:
    - debian/lighttpd.init: clean environment; Check syntax during start/reload:
      this change has been applied in the debian package
    - syntax_check function defined in init script. (LP: #600767): this change
      has been applied in the debian package
    - debian/patches/build-dev-package.patch: Updated: patch updated newly 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Fri, 15 Oct 2010 21:01:50 +0200

lighttpd (1.4.28-1) unstable; urgency=low

  [ Olaf van der Spek ]
  * New upstream release (closes: 521235, 572031, 564556)
  * Add check_syntax() from Ubuntu (closes: 589200)

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 30 Aug 2010 20:53:18 +0200

=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 Torsten Marek <shlomme@debian.org>,
 Pierre Habouzit <madcoder@debian.org>
Homepage: http://www.lighttpd.net
Build-Depends: debhelper (>= 7.0.50), mime-support, libssl-dev,
 zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
 libgamin-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
 liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
 libxml2-dev, libkrb5-dev, perl, automake, libtool
XS-Vcs-Svn: svn://svn.debian.org/pkg-lighttpd/lighttpd/trunk
Standards-Version: 3.9.1.0

Package: lighttpd
Homepage: http://www.lighttpd.net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), mime-support, libterm-readline-perl-perl
Provides: httpd, httpd-cgi
Suggests: openssl, rrdtool, apache2-utils, ufw
Recommends: spawn-fcgi
Conflicts: cherokee (<= 0.6.1-1)
Description:  A fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, ldap)
   * transparent content compression
   * conditional configuration
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Homepage: http://www.lighttpd.net
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: lighttpd
Description: Documentation for lighttpd
 This package contains all documentation files for lighttpd.

Package: lighttpd-mod-mysql-vhost
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the myqsl_vhost module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-trigger-b4-dl
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: lighttpd (<< 1.4.10-5)
Recommends: memcached
Description: Anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-cml
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: memcached
Description: Cache meta language module for lighttpd
 With the cache meta language, it is possible to describe to the
 dependencies of a cached file to its source files/scripts. For the 
 cache files, the scripting language LUA is used.
 .
 THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 1.5.
 USE mod_magnet INSTEAD.

Package: lighttpd-mod-magnet
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Control the request handling module for lighttpd
 mod_magnet can attract a request in several stages in the request-handling.
 either at the same level as mod_rewrite, before any parsing of the URL is done
 or at a later stage, when the doc-root is known and the physical-path is 
 already setup

Package: lighttpd-mod-webdav
Homepage: http://www.lighttpd.net
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: WebDAV module for lighttpd
 The WebDAV module is a very minimalistic implementation of RFC 2518. 
 Minimalistic means that not all operations are implemented yet.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  OPTIONS
  MKCOL
  DELETE
  PUT

Package: lighttpd-dev
Architecture: any
Suggests: lighttpd
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for lighttpd
 This package contains the development header-files for lighttpd.

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,6 @@
 install-stamp: build-stamp
 	dh --before dh_auto_install install
 	dh_auto_install
-	chmod a+x debian/create-mime.assign.pl
-	chmod a+x debian/include-conf-enabled.pl
-	chmod a+x debian/lighty-enable-mod
-	chmod a+x debian/use-ipv6.pl
 	dh --after dh_auto_install install
 	touch $@
 	install -m644 debian/lighttpd.ufw.profile debian/lighttpd/etc/ufw/applications.d/lighttpd

## lighttpd 1.4.29

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.28'
+version = '1.4.29'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')

=== debian/changelog ===
lighttpd (1.4.29-1) unstable; urgency=low

  * New upstream release
  * Fix "lighty-enable-mod should return non-zero on fail" Update script to
    leave with appropriate exit status (Closes: #629638)
  * Remove the following patches:
    + silence-errors.diff - applied upstream
    + patches/ssl-fix.patch - applied upstream
  * Add `debian/source/options' to make dpkg-source ignore glitches done by
    upstream's Makefile in `src/mod_ssi_exprparser.c' and `src/configparser.c'
  * Run maintainer scripts with `set -e'


 -- Arno Töll <debian@toell.net>  Mon, 04 Jul 2011 17:30:11 +0200

lighttpd (1.4.28-5) unstable; urgency=low

  * Build with sbuilder to avoid linking to non-existed packages.

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 26 Apr 2011 15:05:06 +0200

lighttpd (1.4.28-4) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Add  Arno Töll to Uploaders
  
  [ Arno Töll ] 
  * Fix "leaves dangling alternatives on upgrade" add preinst script which
    removes the dangling symlink (Closes: #614716)
  * Fix "/etc/lighttpd/conf-available/15-fastcgi-php.conf: fastcgi-php
    file missing a required directive" add a dependency based recursive module
    enable system in lighty-enable-mod (Closes: #600050)
  * Fix "binNMU for openssl 1.0.0 broke SSL support" backport fix from upstream
    to avoid name clashes between OpenSSL and Lighty's MD5 implementation
    (Closes: #622733)

 -- Arno Töll <debian@toell.net>  Sat, 09 Apr 2011 13:22:45 -0400

lighttpd (1.4.28-3) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Updated debian/control and debian/copyright files
  * fix for debhelper-overrides-need-versioned-build-depends (>= 7.0.50~)
  * debian/compat: increased to 8
  
  [ Olaf van der Spek]
  * Don't fail install if server fails to start (closes: #383425)
  * Fix index-file.names typo (closes: #609890)

 -- Olaf van der Spek <olafvdspek@gmail.com>  Mon, 03 Jan 2011 22:56:38 +0100

=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 Olaf van der Spek <olafvdspek@gmail.com>,
 Arno Töll <debian@toell.net>
Homepage: http://lighttpd.net/
Build-Depends: debhelper (>= 8), mime-support, libssl-dev,
 zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
 libfam-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
 liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
 libxml2-dev, libkrb5-dev, perl
Vcs-Svn: svn://svn.debian.org/pkg-lighttpd/lighttpd/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-lighttpd/lighttpd/trunk/
Standards-Version: 3.9.2.0

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 3.2-14), mime-support, libterm-readline-perl-perl
Provides: httpd, httpd-cgi
Suggests: openssl, rrdtool, apache2-utils
Recommends: spawn-fcgi
Description: fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, ldap)
   * transparent content compression
   * conditional configuration
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: lighttpd
Description: documentation for lighttpd
 This package contains all documentation files for lighttpd.

Package: lighttpd-mod-mysql-vhost
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the myqsl_vhost module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-trigger-b4-dl
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: lighttpd (<< 1.4.10-5)
Recommends: memcached
Description: anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-cml
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: memcached
Description: cache meta language module for lighttpd
 With the cache meta language, it is possible to describe to the
 dependencies of a cached file to its source files/scripts. For the
 cache files, the scripting language LUA is used.
 .
 THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 2.0.
 USE mod_magnet INSTEAD.

Package: lighttpd-mod-magnet
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: control the request handling module for lighttpd
 mod_magnet can attract a request in several stages in the request-handling.
 either at the same level as mod_rewrite, before any parsing of the URL is done
 or at a later stage, when the doc-root is known and the physical-path is
 already setup

Package: lighttpd-mod-webdav
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: WebDAV module for lighttpd
 The WebDAV module is a very minimalistic implementation of RFC 2518.
 Minimalistic means that not all operations are implemented yet.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  OPTIONS
  MKCOL
  DELETE
  PUT

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
                --disable-dependency-tracking \
                --libdir=/usr/lib/lighttpd \
                --libexecdir="/usr/lib/lighttpd" \
                --with-attr \
                --with-fam \
                --with-gdbm \
                --with-kerberos5 \
                --with-ldap \
                --with-lua=lua5.1 \
                --with-memcache \
                --with-mysql \
                --with-openssl \
                --with-pcre \
                --with-webdav-locks \
                --with-webdav-props

override_dh_fixperms:
	dh_fixperms
	chmod 0750 debian/lighttpd/var/log/lighttpd
	chown www-data:www-data debian/lighttpd/var/cache/lighttpd/compress debian/lighttpd/var/cache/lighttpd/uploads
	chown www-data:www-data debian/lighttpd/var/log/lighttpd

override_dh_installinit:
	dh_installinit --error-handler=start_failed
